#include "paydialog.h"
#include "ui_paydialog.h"

PayDialog::PayDialog(QDecDouble total, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::PayDialog)
{
    ui->setupUi(this);
    m_total = total;

    ui->labelTotal->setText(QString::number(total.toDouble(), 'f', 2));
    ui->labelReturn->setText(QString::number(0, 'f', 2));
}

PayDialog::~PayDialog()
{
    delete ui;
}


void PayDialog::on_recieved_valueChanged(double value)
{
    if (value >= m_total.toDouble())
    {
        ui->buttonBox->setEnabled(true);
        ui->labelReturn->setText(QString::number(value - m_total.toDouble(), 'f', 2));
    }
    else
    {
        ui->buttonBox->setEnabled(false);
        ui->labelReturn->setText(QString::number(0, 'f', 2));
    }
}
